适用于现有用户的 ONTAP 工具部署工作流

适用于 VMware vSphere 的 ONTAP 工具 9.x 版支持原位升级到最新版本。

早期版本的应用程序(例如 ONTAP 工具)使用不同的升级过程。如果您的设置中安装了 VSC、VASA Provider 或 SRA,则应执行以下操作:
  1. 部署最新版本的 ONTAP 工具。
  2. 迁移任何现有配置数据。

    此配置数据包括存储系统凭据以及 kaminoprefs.xmlvscPreferences.xml 文件中的首选项。

配置 VSC 首选项文件

在许多情况下,您可能不需要迁移配置数据。但是,如果您先前自定义了首选项文件,则可能需要查看它们并对新部署的 ONTAP 工具进行类似的更改。可以执行以下操作之一:

如果您要从 VASA Provider 6.X 升级,则应在升级之前取消注册 VASA Provider。有关更多详细信息,请参见当前版本的文档。

如果您还需要从 SRA 4.0 或更早版本升级:

对于任何 SRA 升级,应从 Site Recovery Manager 服务器中删除 SRA 软件(Site Recovery Manager 服务器上使用 .msi 文件安装的适配器)。您可以使用 Windows 系统控制面板卸载此软件,然后在 SRA 服务器上使用 .msi 文件安装最新的 SRA 软件。

如果您已部署 VASA Provider,则在从现有设置升级后,必须使用Edit Settings选项将 ONTAP 工具的内存大小配置为 12 GB。此外,还必须修改预留的虚拟内存大小。要修改此内存大小,必须关闭虚拟机

如果在您的设置中安装的是 ONTAP 工具 7.2 或 7.2.1 版,则不能直接升级到 ONTAP 工具 9.7P1 或更高版本。您必须先将现有设置升级到 ONTAP 工具 9.7 版,然后再升级到最新版本。

如果您要部署最新版本的 ONTAP 工具,则必须查看部署 ONTAP 工具的要求主题。有关执行原位升级的信息,请参见升级到 ONTAP 工具 9.8 版主题。